The spindown program stops spinning a SCSI disk if it's idle for a while.
The spindown program has been written for Linux 2.4.x.

Usage:

    spindown [-d] [<time>] [{+|-}<dev>] [{+|-}<dev>] ...

where:

    -d specifies that the spindown program will be running as daemon

    <time> specifies the disk idle time out in seconds (ex: 1200)

    <dev> specifies a SCSI disk device (ex: /dev/sda)

	  - The "+" prefix (or no prefix) means that the disk is managed
            by the spindown program (positive device).
	  - The "-" prefix means that the disk isn't managed by the spindown
            program (negative device).
	  - If a positive device is specified, the spindown program manages
	    only SCSI disks explicitly given in the command line, otherwise
	    all detected SCSI disks are managed except negative devices
	    explicitly given in the command line.

Examples:

# spindown -d
	- spin down all SCSI disks
        - the default idle time out is 10 minutes
	- run spindown as daemon

# spindown 1200 /dev/sdb
	- spin down the /dev/sdb SCSI disk if it's idle for 20 minutes

# spindown -d +/dev/sdb
	- spin down the /dev/sdb SCSI disk if it's idle for 10 minutes
	- run spindown as daemon

# spindown -d 1800 /dev/sda /dev/sdb
	- spin down the /dev/sda and /dev/sdb SCSI disks
	- the idle timeout is set to 30 minutes
	- run spindown as daemon

# spindown 300 -/dev/sda
	- spin down all SCSI disks except /dev/sda
        - the idle time out is set to 5 minutes
 
The spindown program periodically looks at I/O disk activity statistics
available in /proc/stat. A disk idle condition is detected
if the disk statistics aren't changed for a while. Once a disk
idle time out is reached, the program sends a SCSI motor control command
in order to spin down the disk motor.
 
(c) 2007 Vladimir Grouzdev (vladimir.grouzdev@free.fr)
